import type { AnyError } from 'mongodb';
import type { AnyAction } from 'redux';
export type IndexesError = AnyError | string | null | undefined;
export declare enum ActionTypes {
    HandleError = "indexes/error/HANDLE_ERROR",
    ClearError = "indexes/error/CLEAR_ERROR"
}
export type HandleErrorAction = {
    type: ActionTypes.HandleError;
    error: IndexesError;
};
type ClearErrorAction = {
    type: ActionTypes.ClearError;
};
export type Actions = HandleErrorAction | ClearErrorAction;
type State = string | null;
export declare const INITIAL_STATE: State;
export default function reducer(state: State | undefined, action: AnyAction): State;
export declare const handleError: (error: IndexesError) => HandleErrorAction;
export declare const clearError: () => ClearErrorAction;
export {};
//# sourceMappingURL=error.d.ts.map